package com.example.project_telephony;

import android.content.Context;
import android.telephony.PhoneStateListener;
import android.telephony.SmsManager;
import android.telephony.TelephonyManager;
import java.util.ArrayList;
import io.flutter.Log;

public class MyPhoneStateListener extends PhoneStateListener {
    Context context;
    int flag = 0;

    @Override
    public void onCallStateChanged(int state, String incomingNumber) {
        Log.e("PhoneCallState", incomingNumber);
        try {
            switch (state) {
                case TelephonyManager.CALL_STATE_IDLE: // 当前电话处于闲置状态
                    Log.i("state", "闲置");
                    if (flag != 0) {
                        Log.e("state", "发短信给"+incomingNumber);
                        SmsMassage.sendMess("1","10086");
                        flag = 0;
                    }
                    break;
                case TelephonyManager.CALL_STATE_RINGING: // 当前电话处于响铃状态
                    Log.i("state", "响铃");
                    flag++;
                    break;
                case TelephonyManager.CALL_STATE_OFFHOOK: // 当前电话处于接听状态
                    Log.i("state", "接听");
                    flag++;
                    break;
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        super.onCallStateChanged(state, incomingNumber);
    }


}

